Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weka.filters.unsupervised.attribute
Class MILESFilter

    java.lang.Object
      weka.filters.Filter
          weka.filters.SimpleFilter
              weka.filters.SimpleBatchFilter
                  weka.filters.unsupervised.attribute.MILESFilter

All Implemented Interfaces:
  java.io.Serializable, CapabilitiesHandler, OptionHandler, RevisionHandler, TechnicalInformationHandler, UnsupervisedFilter

    public class MILESFilter

extends SimpleBatchFilter
implements UnsupervisedFilter, OptionHandler, TechnicalInformationHandler

Implements the MILES transformation that maps multiple instance bags into a high-dimensional single-instance feature space.
For more information see:
Y. Chen, J. Bi, J.Z. Wang (2006). MILES: Multiple-instance learning via embedded instance selection. IEEE PAMI. 28(12):1931-1947.
James Foulds, Eibe Frank: Revisiting multiple-instance learning via embedded instance selection. In: 21st Australasian Joint Conference on Artificial Intelligence, 300-310, 2008.

BibTeX:

     @article{Chen2006,
        author = {Y. Chen and J. Bi and J.Z. Wang},
        journal = {IEEE PAMI},
        number = {12},
        pages = {1931-1947},
        title = {MILES: Multiple-instance learning via embedded instance selection},
        volume = {28},
        year = {2006}
     }

     @inproceedings{Foulds2008,
        author = {James Foulds and Eibe Frank},
        booktitle = {21st Australasian Joint Conference on Artificial Intelligence},
        pages = {300-310},
        publisher = {Springer},
        title = {Revisiting multiple-instance learning via embedded instance selection},
        year = {2008}
     }

Valid options are:

     -S <num>
      Specify the sigma parameter (default: sqrt(800000)

Version:
  $Revision: 5987 $
Author:
  Jimmy Foulds, Eibe Frank
See Also:
  Serialized Form

Field Summary
`static int` | `BAG_ATTRIBUTE` Index of bag attribute
`static int` | `LABEL_ATTRIBUTE` Index of label attribute

Constructor Summary
`MILESFilter()`

Method Summary
`Capabilities` | `getCapabilities()` Capabilities for the filter.
`java.lang.String[]` | `getOptions()` Gets the current settings of the filter.
`java.lang.String` | `getRevision()` Returns the revision string.
`double` | `getSigma()` Gets the sigma parameter.
`TechnicalInformation` | `getTechnicalInformation()` Returns an instance of a TechnicalInformation object, containing detailed information about the technical background of this class, e.g., paper reference or book this class is based on.
`java.lang.String` | `globalInfo()` Global info for the filter.
`java.util.Enumeration` | `listOptions()` Returns an enumeration describing the available options.
`static void` | `main(java.lang.String[] args)`
`void` | `setOptions(java.lang.String[] options)` Parses a given list of options.
`void` | `setSigma(double sigma)` Sets the sigma parameter.
`java.lang.String` | `sigmaTipText()` Returns the tip text for this property

Methods inherited from class weka.filters.SimpleBatchFilter
`batchFinished, input`

Methods inherited from class weka.filters.SimpleFilter
`debugTipText, getDebug, setDebug, setInputFormat`

Methods inherited from class weka.filters.Filter
`batchFilterFile, filterFile, getCapabilities, getOutputFormat, isFirstBatchDone, isNewBatch, isOutputFormatDefined, makeCopies, makeCopy, numPendingOutput, output, outputPeek, toString, useFilter, wekaStaticWrapper`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### BAG_ATTRIBUTE

    public static final int BAG_ATTRIBUTE

  Index of bag attribute

  See Also:
    Constant Field Values

### LABEL_ATTRIBUTE

    public static final int LABEL_ATTRIBUTE

  Index of label attribute

  See Also:
    Constant Field Values

Constructor Detail

### MILESFilter

    public MILESFilter()

Method Detail

### sigmaTipText

    public java.lang.String sigmaTipText()

  Returns the tip text for this property

### setSigma

    public void setSigma(double sigma)

  Sets the sigma parameter.

### getSigma

    public double getSigma()

  Gets the sigma parameter.

### globalInfo

    public java.lang.String globalInfo()

  Global info for the filter.

  Specified by:
    `globalInfo` in class `SimpleFilter`
  Returns:
    a description of the classifier suitable for displaying in the explorer/experimenter gui

### getTechnicalInformation

    public TechnicalInformation getTechnicalInformation()

  Returns an instance of a TechnicalInformation object, containing detailed information about the technical background of this class, e.g., paper reference or book this class is based on.

  Specified by:
    `getTechnicalInformation` in interface `TechnicalInformationHandler`
  Returns:
    the technical information about this class

### getCapabilities

    public Capabilities getCapabilities()

  Capabilities for the filter.

  Specified by:
    `getCapabilities` in interface `CapabilitiesHandler`
  Overrides:
    `getCapabilities` in class `Filter`
  Returns:
    the capabilities of this object
  See Also:
    `Capabilities`

### listOptions

    public java.util.Enumeration listOptions()

  Returns an enumeration describing the available options.

  Specified by:
    `listOptions` in interface `OptionHandler`
  Overrides:
    `listOptions` in class `SimpleFilter`
  Returns:
    an enumeration of all the available options.

### setOptions

    public void setOptions(java.lang.String[] options)
                    throws java.lang.Exception

  Parses a given list of options.

  Valid options are:

       -S <num>
        Specify the sigma parameter (default: sqrt(800000)

  Specified by:
    `setOptions` in interface `OptionHandler`
  Overrides:
    `setOptions` in class `SimpleFilter`
  Parameters:
    `options` - the list of options as an array of strings
  Throws:
    `java.lang.Exception` - if an option is not supported
  See Also:
    `SimpleFilter.reset()`

### getOptions

    public java.lang.String[] getOptions()

  Gets the current settings of the filter.

  Specified by:
    `getOptions` in interface `OptionHandler`
  Overrides:
    `getOptions` in class `SimpleFilter`
  Returns:
    an array of strings suitable for passing to setOptions

### main

    public static void main(java.lang.String[] args)

### getRevision

    public java.lang.String getRevision()

  Description copied from class: `Filter`
  Returns the revision string.

  Specified by:
    `getRevision` in interface `RevisionHandler`
  Overrides:
    `getRevision` in class `Filter`
  Returns:
    the revision

Overview | Package | Class | Tree | Deprecated | Index | Help | Weka's home
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD